function y = anymf(x,null)
%  ANYMF No membership function.
%     You should not use ANYMF membership funtion with MATLAB functions,
%     because MATLAB doesn't support this. Use ANYMF only with
%     'Fuzzy Logic Tools' functions.
%  
%     In 'Fuzzy Logic Tools' software, this membership function is used to
%     remove a variable from the antecedent of a rule. For example:
%
%     To make 'If x1 is A1 and x3 is A2 ...' you can use 'x2 is ANYMF'.
%
%     See also constmf, dsigmf, evalmf, gauss2mf, gaussmf, gbellmf, mf2mf, pimf
%     psigmf, sigmf, smf, trimf, trapmf, zmf.

warning("ANYMF membership function should not be executed.");

y = ones(1,length(x)); % This value is wrong, only is used to avoid errors in MATLAB functions

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

