function y=constmf(x,C)
%  CONSTMF Constant membership function.
%     CONSTMF(X,C) always returns C.
%
%     For example:
%  
%         x = (0:0.1:10)';
%         y = constmf(x, 0.5);
%         plot(x, y);
%
%     See also dsigmf, evalmf, gauss2mf, gaussmf, gbellmf, mf2mf, anymf, pimf
%     psigmf, sigmf, smf, trimf, trapmf, zmf.

if nargin ~= 2
    error('Two arguments are required by the Const membership function.');
elseif length(C) ~= 1
    error('2nd parameter of the function must be a scalar.');
end
y = ones(size(x))*C;

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

