% EXTRACTPOINTS Extract the significative points of a fuzzy model.
% 
%         Points = extractPoints(System)
% 
%         Points = extractPoints(System, numMeshPoints)
% 
%         Points = extractPoints(System, numMeshPoints, precision)
% 
%         Points = extractPoints(System, numMeshPoints, precision, controlPoints)
% 
% Arguments:
% 
%     System -> Fuzzy model. This model could be a '.txt' file, a '.fis' file,
%              or a 'FIS' variable from MATLAB Workspace.
%
%     numMeshPoints -> Used in memberships functions without significative
%              points (ANYMF, CONSTMF, ...). Default value is 5.
%
%     precision -> Used to remove similar points. Default value is 1e-3.
%
%     controlPoints -> If controlPoints>0 extract all point, otherwise, only
%              extracts the state vector points, not the control vector points.
%              Default value is 0 (do not extract the control vector points).
%     
%  See also activation, antec2mat, aproxjac, aproxlinear, conseq2mat, fis2txt,
%           fuz2mat,fuzcomb, fuzeval, fuzjac, fuzlinear, fuzprint, initializeController,
%           mat2antec, mat2conseq, mat2fuz, subsystem, txt2fis

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

