% FUZCOMB Combine some fuzzy models in one.
% 
%         fuzcomb(Combined_Model_TXT,Model1, Model2,...)
%
%         Combined_Model_FIS = fuzcomb(Model1, Model2,...)
%
% Arguments:
% 
%     Combined_Model_TXT -> String with the name of TXT file to write with the
%                          combined model. This file will be overwrited without
%                          confirmation.
%
%     Combined_Model_FIS -> Variable 'FIS' to write the combined model.
%
%     ModelX -> Fuzzy models to combine. These models must have the same number
%               of inputs. They could be a '.txt' or '.fis' file, or a 'FIS'
%               variable from MATLAB Workspace.
%
% To simulate this combined model should use 'fuzeval' function, 'evalfis'
% doesn't work correctly.
%     
%  See also activation, antec2mat, aproxjac, aproxlinear, conseq2mat, fis2txt,
%           fuz2mat, fuzeval, fuzjac, fuzlinear, fuzprint, mat2antec, mat2conseq,
%           mat2fuz, subsystem, txt2fis

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

